curl --request GET \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/inboxes/{inboxId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "HELP_DESK",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Retrieve details of a specific inbox in your HubSpot account using the inbox ID. This endpoint allows you to access information about the inbox, including whether it is archived. It is useful for managing and organizing your communication channels within HubSpot.
curl --request GET \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/inboxes/{inboxId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "HELP_DESK",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the inbox to retrieve.
Whether to return only results that have been archived.
successful operation
When the inbox was created.
The ID of the inbox.
The name of the inbox.
Specifies whether this refers to a Conversations Inbox or to the Help Desk. Valid values are INBOX or HELP_DESK
HELP_DESK, INBOX Was this page helpful?